Initiate a transfer of a domain to another account. The endpoint returns a token used to call POST /api/transfers/details to complete the transfer.
domain_id from GET /api/redirects token → data.token Accept Example Content-Type Example domainId string required
· Example: 6371 data object required data.companyName string
· Example: Example AB data.currentOrgno string · enum
· Example: [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 data.domainExtension string
· Example: se data.domainName string
· Example: example.com data.domainOrgno string
· Example: [SE]555555-0000 data.expiresIn string
· Example: 7 days data.message string required
· Example: Domänöverlåtelse skapad. Dela denna kod med den nya ägaren som ska ange den på sin kont... Human-readable message.
data.mismatch boolean
· Example: true data.requiresBankId boolean
· Example: true data.serviceType string
· Example: domain data.success boolean
· Example: true True for successful responses.
data.token string
· Example: YOUR_TOKEN data.verifiedAs string
· Example: Styrelseledamot data.yourOrgno string · enum
· Example: [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 [SE]555555-0000 requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
success boolean required
· Example: true True for successful responses.
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
code string required
· Example: TIMEOUT Machine-readable error code.
error string required
· Example: Gateway Timeout HTTP status title (e.g. 'Bad Request').
message string required
· Example: Request timeout Human-readable message.
requestId string required
· Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba Unique request identifier (UUID).
timestamp string required
· Example: 2026-02-10T00:00:00.000Z ISO 8601 timestamp (UTC).
https://cloud.hostup.se/api/domain-transfers/generate curl -X POST "https://cloud.hostup.se/api/domain-transfers/generate" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domainId": "6371"
}' {
"success": true,
"timestamp": "2026-02-10T00:00:00.000Z",
"requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
"data": {
"success": true,
"token": "YOUR_TOKEN",
"domainName": "example.com",
"domainExtension": "se",
"serviceType": "domain",
"expiresIn": "7 days",
"currentOrgno": "[SE]555555-0000",
"message": "Domänöverlåtelse skapad. Dela denna kod med den nya ägaren som ska ange den på sin konto-sida.",
"verifiedAs": "Styrelseledamot",
"companyName": "Example AB"
}
} {
"domainId": "6371"
}